.my-navbar {
	position: fixed;
	width: 100%;
	transition: 0.3s;
	z-index: 9999;
	@include media-breakpoint-up(xl) {
		height: 120px;
	}
	&--single {
		background-color: white;
	}
	&--home {
		background-color: white;
		@include media-breakpoint-up(xl) {
			background-color: transparent;
		}
	}
}

.nav-item {
	position: relative;
}
.nav-item::after {
	content: "";
	position: absolute;
	left: 0;
	width: 100%;
	height: 2rem;
}


.logo {
	width: 5.6rem;
	height: 2rem;
	@include media-breakpoint-up(xl) {
		width: 11.4rem;
		height: 4.5rem;
	}
	&--white {
		display: none;
		@include media-breakpoint-up(xl) {
			display: block;
		}
	}
	&--black {
		display: block;
		@include media-breakpoint-up(xl) {
			display: none;
		}
	}
}



.my-nav {
	position: absolute;
	opacity: 0;
	top: 0;
	left: 500px;
	width: 100%;
	height: 100vh;
	background-color: $primary;
	transition: 0.4s;
	text-align: right;
	padding: 80px 10px 0 0;
	font-size: 30px;
	@include media-breakpoint-up(xl) {
		position: static;
		opacity: 1;
		height: auto;
		padding: 0;
		text-align: center;
		background-color: transparent;

		font-size: 16px;
		display: flex;
		justify-content: center;
	}
	&--single {
		@include media-breakpoint-up(xl) {
			color: black;
			margin: 0 auto;
		}
	}
	// &--single .my-nav__link{
	// 	@include media-breakpoint-up(xl) {
	// 		color: black;
	// 		margin: 0 auto;
	// 	}
	// }
	&--home {
		@include media-breakpoint-up(xl) {
			color: white;
		}
	}
	&__drop {
		display: none;
		position: absolute;
		list-style-type: none;
		&--open {
			position: relative;
			display: block;
		}
		@include media-breakpoint-up(xl) {
			opacity: 0;
			top: 4rem;
			transform: translateX(-450%);
			display: block;
			background-color: white;
			border-radius: 1.5rem;
			width: 20rem;
			text-align: left;
			padding: 2rem;
			transition: transform .3s, opacity 1s;
		}
		
	}
	&__drop-link {
		color: black;
	}
}

.show .my-nav {
	left: 0;
	opacity: 1;
}



.nav-link {
	color: black;
	@include media-breakpoint-up(xl) {
		// color: white;
		margin-right: 25px;
	}
	&--home {
		color: white;
	}
}

.nav-link:focus-visible {
	box-shadow: none;
}
.nav-link:focus {
	color: white;
}

.show .nav-link--home {
	color: black;
}
.show .nav-link--home:hover {
	color: black;
}

.nav-link:hover {
	@include media-breakpoint-up(xl) {
		color: $primary !important;
	}
	
}

.nav-item:hover .my-nav__drop {
	@include media-breakpoint-up(xl) {
		transform: translateX(0);
		opacity: 1; 
	}
	& .my-nav__drop-link {
		color: #6a6e6c;
		font-size: 1rem;
		font-weight: normal;
		display: block;
		margin-bottom: 1rem !important; 
	}
}

.my-nav__drop-link:hover  {
	color: $primary !important;
}

.navbar-toggler {
	position: absolute;
	right: 10px;
	top: 50%;
	transform: translateY(-50%);
	@include media-breakpoint-up(xl) {
		display: block;
	}
}

.my-en {
	color: black;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	right: 80px;
	@include media-breakpoint-up(xl) {
		color: rgb(255, 254, 254);
		right: 290px;
	}
}
